# 32/64bit spec-file
# import to pclinuxos by <Daniel Meiß-Wilhelm> on <30 Oct 2017>
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)

%define prefix  /usr
%define name   defaultGRUBeditor 
%define version 1.02
%define release %mkrel 1
%define url http://www.pclinuxos.com

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:	    GPL2
Group:		    System/Configuration/Boot and Init
URL:			    %{url}
Source:        %{name}.tar.xz
Summary:	Edit the default grub config file
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	     gtkdialog, gksu, coreutils, xterm
Requires:      lib64canberra-gtk0
Obsoletes:	%name < %version

%description
%{summary}.
Your own GRUB settings are stored in the /etc/default/grub file. Edit this file to change GRUB2’s settings.

%prep

%setup -q -n %{name}

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m 755 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %buildroot/%{_iconsdir}/hicolor/32x32/apps
convert $RPM_BUILD_DIR/%{name}/%{name}.png -resize 32x32 %buildroot/%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%doc grub2_read.txt 

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Nov 04 2017 daniel <meisssw01 at gmail.com> 1.02-1pclos2017
- added grub2_read file
- changed description

* Mon Oct 30 2017 daniel <meisssw01 at gmail.com> 1.01-1pclos2017
- generate package for PCLinuxOS
- add update-grub (recommend by Texstar) 
